Get Wallet by ID
curl --request GET \
--url https://api.copper.co/platform/wallets/{walletId}import requests
url = "https://api.copper.co/platform/wallets/{walletId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/wallets/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "<string>",
"portfolioId": "<string>",
"walletId": "<string>",
"available": "<string>",
"balance": "<string>",
"createdAt": "<string>",
"extra": {
"externalAccountId": "<string>"
},
"locked": "<string>",
"mainCurrency": "<string>",
"organizationId": "<string>",
"portfolioType": "custody",
"reserve": "<string>",
"stakeBalance": "<string>",
"totalBalance": "<string>",
"updatedAt": "<string>"
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}wallets
Get Wallet by ID
Fetch wallet details
GET
/
wallets
/
{walletId}
Get Wallet by ID
Path Parameters
Response
OK
Currency of a wallet
Portfolio id
Wallet id
Available balance of a wallet
Total balance of a wallet, including reserved, but excluding the stakeBalance
Created at timestamp
Additional wallet information
Show child attributes
Show child attributes
Locked balance of a wallet for ClearLoop, including the funds delegated to all sub-accounts
Main currency (blockchain network) of a wallet
Organization id
Type of the wallet's portfolio. See details
Available options:
custody, trading-vault, trading, external, clearloop Reserved balance of a wallet (e.g. for open orders)
The balance of funds that are locked in staking
The overall balance of a wallet
Last updated at timestamp
Was this page helpful?